--- old/usr/src/lib/nsswitch/compat/Makefile.com	2019-07-05 17:34:16.126375896 +0000
+++ new/usr/src/lib/nsswitch/compat/Makefile.com	2019-07-05 17:34:16.143374995 +0000
@@ -23,9 +23,6 @@
 # Copyright 1993,2001-2003 Sun Microsystems, Inc.  All rights reserved.
 # Use is subject to license terms.
 #
-# ident	"%Z%%M%	%I%	%E% SMI"
-#
-# lib/nsswitch/compat/Makefile.com
 
 LIBRARY =	libnss_compat.a
 VERS =		.1
@@ -43,5 +40,14 @@
 # install this library in the root filesystem
 include ../../../Makefile.rootfs
 
-LDLIBS +=	-lnsl
 DYNLIB1 =	nss_compat.so$(VERS)
+
+COMPATLINKS=	/usr/lib/$(DYNLIB1)
+COMPATLINKS64=	/usr/lib/$(MACH64)/$(DYNLIB1)
+
+$(ROOT)/usr/lib/$(DYNLIB1) := COMPATLINKTARGET=../../lib/$(DYNLIB1)
+$(ROOT)/usr/lib/$(MACH64)/$(DYNLIB1):= \
+	COMPATLINKTARGET=../../../lib/$(MACH64)/$(DYNLIB1)
+
+LDLIBS +=	-lnsl
+
